<?php
/*
// JoomlaWorks "Tabs & Slides" Plugin for Joomla! 1.5.x - Version 2.4
// License: http://www.gnu.org/copyleft/gpl.html
// Copyright (c) 2006 - 2008 JoomlaWorks, a Komrade LLC company.
// More info at http://www.joomlaworks.gr
// Developers: Fotis Evangelou
// ***Last update: May 20th, 2008***
*/

defined( '_JEXEC' ) or die( 'Restricted access' );

// Import library dependencies
jimport('joomla.event.plugin');

class plgContentJwts extends JPlugin
{
	//Constructor
	function plgContentJwts( &$subject )
	{
		parent::__construct( $subject );
		// load plugin parameters
		$this->_plugin = JPluginHelper::getPlugin( 'content', 'jwts' );
		$this->_params = new JParameter( $this->_plugin->params );
		$this->_replace_end = "";
	}
	
  function jwts_replace_callback_1 ($match) {
    $attrs = JUtility::parseAttributes($match[0]);
    $replace = $this->_replace_end."<div class=\"jwts_title\"><div class=\"jwts_title_left\"><a href=\"javascript:void(null);\" title=\"Click to open!\" class=\"jwts_title_text\">".$attrs['title']."</a></div></div><div class=\"jwts_slidewrapper\"><div>";
    $this->_replace_end = "</div></div>";
    return $replace;
  }

  function jwts_replace_callback_2 ($match) {
    $attrs = JUtility::parseAttributes($match[0]);
    $replace = $this->_replace_end."<div class=\"jwts_title\"><div class=\"jwts_title_left\"><a href=\"javascript:void(null);\" title=\"Click to open!\" class=\"jwts_title_text\">".$match."</a></div></div><div class=\"jwts_slidewrapper\"><div>";
    $this->_replace_end = "</div></div>";
    return $replace;
  }

	function onPrepareContent(&$row, &$params, $limitstart) {

		// just startup
		global $mainframe, $loadJWTSscripts;

  	// expression to search for
  	$regex = '#<hr([^>]*?)class=(\"|\')system-pagebreak(\"|\')([^>]*?)\/*>#iU';
  	
		// JS loader selection
		$use_optimized_loader = 0; // Use optimized JS code loader? 0=no and 1=yes. Default is 0.

		$plugin =& JPluginHelper::getPlugin('content', 'jwts');
		$pluginParams = new JParameter( $plugin->params );

		// j!1.5 paths
		$mosConfig_absolute_path 	= JPATH_SITE;
		$mosConfig_live_site 		= $mainframe->isAdmin() ? $mainframe->getSiteURL() : JURI::base();
		if(substr($mosConfig_live_site, -1)=="/") $mosConfig_live_site = substr($mosConfig_live_site, 0, -1);

		// Parameters
		$slides_slidespeed 	= $pluginParams->get('slides_slidespeed', '30');
		$slides_timer 		= $pluginParams->get('slides_timer', '10');

		if(!$loadJWTSscripts) {
			$loadJWTSscripts=1;
			$header = "<!-- JoomlaWorks \"Tabs & Slides\" Plugin (v2.3) starts here -->
						<style type=\"text/css\" media=\"screen\">
							@import \"$mosConfig_live_site/plugins/content/plugin_jw_ts/tabs_slides.css\";
						</style>
						<style type=\"text/css\" media=\"print\">.jwts_tabbernav{display:none;}</style>
						<script type=\"text/javascript\">var jwts_slideSpeed=".$slides_slidespeed."; var jwts_timer=".$slides_timer.";</script>
						<script type=\"text/javascript\" src=\"$mosConfig_live_site/plugins/content/plugin_jw_ts/tabs_slides_comp.js\"></script>
					  ";
			if($use_optimized_loader) {
				$header .= "<script type=\"text/javascript\" src=\"$mosConfig_live_site/plugins/content/plugin_jw_ts/tabs_slides_opt_loader.js\"></script>";
			} else {
				$header .= "<script type=\"text/javascript\" src=\"$mosConfig_live_site/plugins/content/plugin_jw_ts/tabs_slides_def_loader.js\"></script>";
			}
			$header .= "<!-- JoomlaWorks \"Tabs & Slides\" Plugin (v2.3) ends here -->";

			// cache check
			if($mainframe->getCfg('caching') && ($option=='com_frontpage' || $option=='')) {
				echo $header;
			} else {
				$mainframe->addCustomHeadTag($header);
			}
		}

		// Start PageBreak Replacement
		if(!$_REQUEST['print'] && $_REQUEST['format']!="pdf") {
		  $row->text = preg_replace_callback ( $regex, array('self','jwts_replace_callback_1'), $row->text);
		} else {
		  $row->text = preg_replace_callback ( $regex, array('self','jwts_replace_callback_2'), $row->text);
		}
		$row->text.= $this->_replace_end;
    $this->_replace_end = "";		  
		// End Slides Replacement

	} // onPrepareContent

} // class

?>